{
  "ConnectionStrings": {
    "Default": "mongodb://admin:4mFmPTTB8tn6aI@47.110.62.104:27017,47.110.53.196:27017,47.110.60.222:27017/JiSheCollectBus?authSource=admin&maxPoolSize=400&minPoolSize=10&waitQueueTimeoutMS=5000",
    "PrepayDB": "server=118.190.144.92;database=jishe.sysdb;uid=sa;pwd=admin@2023;Encrypt=False;Trust Server Certificate=False",
    "EnergyDB": "server=118.190.144.92;database=db_energy;uid=sa;pwd=admin@2023;Encrypt=False;Trust Server Certificate=False"
  },
  "Redis": {
    "Configuration": "47.110.60.222:6379,password=3JBGfyhTaD46nS,syncTimeout=30000,abortConnect=false,connectTimeout=30000,allowAdmin=true",
    "MaxPoolSize": "50",
    "DefaultDB": "14",
    "HangfireDB": "13"
  },
  "Kafka": {
    "BootstrapServers": "47.110.62.104:9092,47.110.53.196:9092,47.110.60.222:9092",
    "EnableFilter": true,
    "EnableAuthorization": false,
    "SecurityProtocol": "SaslPlaintext",
    "SaslMechanism": "Plain",
    "SaslUserName": "lixiao",
    "SaslPassword": "lixiao1980",
    "KafkaReplicationFactor": 3,
    "NumPartitions": 30,
    "ServerTagName": "JiSheCollectBus100",
    "FirstCollectionTime": "2025-04-22 16:07:00"
  },
  "IoTDBOptions": {
    "UserName": "root",
    "Password": "Yp2eU6MVdIjXCL",
    "ClusterList": [ "47.110.53.196:6667", "47.110.60.222:6667", "47.110.62.104:6667" ],
    "PoolSize": 2,
    "DataBaseName": "energy",
    "OpenDebugMode": true,
    "UseTableSessionPoolByDefault": false
  },
  "Cassandra": {
    "ReplicationStrategy": {
      "Class": "NetworkTopologyStrategy", //策略为NetworkTopologyStrategy时才会有多个数据中心，SimpleStrategy用在只有一个数据中心的情况下
      "DataCenters": [
        {
          "Name": "dc1",
          "ReplicationFactor": 3
        }
      ]
    },
    "Nodes": [
      {
        "Host": "121.42.175.177",
        "Port": 19042,
        "DataCenter": "dc1",
        "Rack": "RAC1"
      },
      {
        "Host": "121.42.175.177",
        "Port": 19043,
        "DataCenter": "dc1",
        "Rack": "RAC2"
      },
      {
        "Host": "121.42.175.177",
        "Port": 19044,
        "DataCenter": "dc1",
        "Rack": "RAC2"
      }
    ],
    "Username": "admin",
    "Password": "lixiao1980",
    "Keyspace": "jishecollectbus",
    "ConsistencyLevel": "Quorum",
    "PoolingOptions": {
      "CoreConnectionsPerHost": 4,
      "MaxConnectionsPerHost": 8,
      "MaxRequestsPerConnection": 2000
    },
    "SocketOptions": {
      "ConnectTimeoutMillis": 10000,
      "ReadTimeoutMillis": 20000
    },
    "QueryOptions": {
      "ConsistencyLevel": "Quorum",
      "SerialConsistencyLevel": "Serial",
      "DefaultIdempotence": true
    }
  }
}